Chat
Get a chat by ID
Retrieve an existing chat by its unique identifier
GET
/
v1
/
chat
/
{id}
Get a chat by ID
curl --request GET \
--url https://api.roark.ai/v1/chat/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.roark.ai/v1/chat/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.roark.ai/v1/chat/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"projectId": "660e8400-e29b-41d4-a716-446655440001",
"organizationId": "770e8400-e29b-41d4-a716-446655440002",
"startTimestamp": "2024-01-15T10:00:00Z",
"endTimestamp": "2024-01-15T10:30:00Z",
"durationMs": 1800000,
"title": "Account assistance request",
"summary": "Customer inquired about account balance and recent transactions",
"createdAt": "2024-01-15T10:31:00Z",
"updatedAt": "2024-01-15T10:31:00Z",
"simulationJobId": "880e8400-e29b-41d4-a716-446655440003",
"simulationRunPlanJobId": "990e8400-e29b-41d4-a716-446655440004",
"agents": [
{
"id": "550e8400-e29b-41d4-a716-446655440000"
}
],
"customers": [
{
"phoneNumberE164": null,
"label": "web-visitor-abc123"
}
],
"properties": {
"source": "web",
"region": "US"
},
"policyIds": [
"550e8400-e29b-41d4-a716-446655440000"
],
"externalId": "session-abc-123"
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Chat retrieved successfully
Response containing the chat information
Show child attributes
Show child attributes
⌘I
Get a chat by ID
